<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Anim/AnimCommand.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d90/_anim_command_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AnimCommand.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d90/_anim_command_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d05/class_anim_command_base.html">AnimCommandBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="comment">// These would be private if not for the scripted commands</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="comment">// As other commands lifetime are handled internally</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#a757668f266fe1e8cd03ffdc022461928">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#a757668f266fe1e8cd03ffdc022461928">AnimCommandBase</a>() {}</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#a0a9941f1f06b49091723b359280170eb">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#a0a9941f1f06b49091723b359280170eb">~AnimCommandBase</a>() {}</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#afb778a1b24a22ddd4427442f199b4511">   10</a></span>    proto native <a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#afb778a1b24a22ddd4427442f199b4511">GetEntity</a>();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#ad1db24751b3965a69885875933100c2c">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#ad1db24751b3965a69885875933100c2c">OnActivate</a>() {}</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#a1d7fc7d9b14e2d82d5e74529bf80ffa3">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#a1d7fc7d9b14e2d82d5e74529bf80ffa3">OnDeactivate</a>() {}</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#a3e30a44e2edfb97b566a4298f5d49c30">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#a3e30a44e2edfb97b566a4298f5d49c30">PreAnimUpdate</a>(<span class="keywordtype">float</span> pDt) {}</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#a530b1e865ed8aaf5c4d66476a2c4102c">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#a530b1e865ed8aaf5c4d66476a2c4102c">PrePhysUpdate</a>(<span class="keywordtype">float</span> pDt) {}</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#a7f9c3e4ceed8359746a786f83e225878">   27</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#a7f9c3e4ceed8359746a786f83e225878">PreAnim_CallCommand</a>(<span class="keywordtype">int</span> pCommand, <span class="keywordtype">int</span> pParamInt, <span class="keywordtype">float</span> pParamFloat);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#abbf4005fc1ebee9a12fbaa0ac35d5a8c">   28</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#abbf4005fc1ebee9a12fbaa0ac35d5a8c">PreAnim_SetFloat</a>(<span class="keywordtype">int</span> pVar, <span class="keywordtype">float</span> pFlt);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#a9c51dff6504406aeee2659c67b30f115">   29</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#a9c51dff6504406aeee2659c67b30f115">PreAnim_SetInt</a>(<span class="keywordtype">int</span> pVar, <span class="keywordtype">int</span> pInt);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#a211bfe8c24ee6ab632f6c01320ee98ef">   30</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#a211bfe8c24ee6ab632f6c01320ee98ef">PreAnim_SetBool</a>(<span class="keywordtype">int</span> pVar, <span class="keywordtype">bool</span> pBool);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#ae5a17ae5f45681de1f924b4955d9d7a3">   33</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#ae5a17ae5f45681de1f924b4955d9d7a3">PrePhys_IsEvent</a>(<span class="keywordtype">int</span> pEvent);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d8/d05/class_anim_command_base.html#ae840110ee6853160afe865aa3ec9b715">   34</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d05/class_anim_command_base.html#ae840110ee6853160afe865aa3ec9b715">PrePhys_IsTag</a>(<span class="keywordtype">int</span> pTag);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>}</div>
<div class="ttc" id="aclass_anim_command_base_html"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html">AnimCommandBase</a></div><div class="ttdoc">base class of all commands exposed to script to provide common functionality over animations</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d90/_anim_command_8c_source.html#l00002">AnimCommand.c:3</a></div></div>
<div class="ttc" id="aclass_anim_command_base_html_a0a9941f1f06b49091723b359280170eb"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#a0a9941f1f06b49091723b359280170eb">AnimCommandBase::~AnimCommandBase</a></div><div class="ttdeci">protected void ~AnimCommandBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d90/_anim_command_8c_source.html#l00007">AnimCommand.c:7</a></div></div>
<div class="ttc" id="aclass_anim_command_base_html_a1d7fc7d9b14e2d82d5e74529bf80ffa3"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#a1d7fc7d9b14e2d82d5e74529bf80ffa3">AnimCommandBase::OnDeactivate</a></div><div class="ttdeci">void OnDeactivate()</div><div class="ttdoc">called when command ends</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d90/_anim_command_8c_source.html#l00016">AnimCommand.c:16</a></div></div>
<div class="ttc" id="aclass_anim_command_base_html_a211bfe8c24ee6ab632f6c01320ee98ef"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#a211bfe8c24ee6ab632f6c01320ee98ef">AnimCommandBase::PreAnim_SetBool</a></div><div class="ttdeci">proto native void PreAnim_SetBool(int pVar, bool pBool)</div></div>
<div class="ttc" id="aclass_anim_command_base_html_a3e30a44e2edfb97b566a4298f5d49c30"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#a3e30a44e2edfb97b566a4298f5d49c30">AnimCommandBase::PreAnimUpdate</a></div><div class="ttdeci">void PreAnimUpdate(float pDt)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d90/_anim_command_8c_source.html#l00020">AnimCommand.c:20</a></div></div>
<div class="ttc" id="aclass_anim_command_base_html_a530b1e865ed8aaf5c4d66476a2c4102c"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#a530b1e865ed8aaf5c4d66476a2c4102c">AnimCommandBase::PrePhysUpdate</a></div><div class="ttdeci">void PrePhysUpdate(float pDt)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d90/_anim_command_8c_source.html#l00024">AnimCommand.c:24</a></div></div>
<div class="ttc" id="aclass_anim_command_base_html_a757668f266fe1e8cd03ffdc022461928"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#a757668f266fe1e8cd03ffdc022461928">AnimCommandBase::AnimCommandBase</a></div><div class="ttdeci">protected void AnimCommandBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d90/_anim_command_8c_source.html#l00006">AnimCommand.c:6</a></div></div>
<div class="ttc" id="aclass_anim_command_base_html_a7f9c3e4ceed8359746a786f83e225878"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#a7f9c3e4ceed8359746a786f83e225878">AnimCommandBase::PreAnim_CallCommand</a></div><div class="ttdeci">proto native void PreAnim_CallCommand(int pCommand, int pParamInt, float pParamFloat)</div><div class="ttdoc">functions usable only from OnActivate or PreAnimUpdate</div></div>
<div class="ttc" id="aclass_anim_command_base_html_a9c51dff6504406aeee2659c67b30f115"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#a9c51dff6504406aeee2659c67b30f115">AnimCommandBase::PreAnim_SetInt</a></div><div class="ttdeci">proto native void PreAnim_SetInt(int pVar, int pInt)</div></div>
<div class="ttc" id="aclass_anim_command_base_html_abbf4005fc1ebee9a12fbaa0ac35d5a8c"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#abbf4005fc1ebee9a12fbaa0ac35d5a8c">AnimCommandBase::PreAnim_SetFloat</a></div><div class="ttdeci">proto native void PreAnim_SetFloat(int pVar, float pFlt)</div></div>
<div class="ttc" id="aclass_anim_command_base_html_ad1db24751b3965a69885875933100c2c"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#ad1db24751b3965a69885875933100c2c">AnimCommandBase::OnActivate</a></div><div class="ttdeci">void OnActivate()</div><div class="ttdoc">called when command starts</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d90/_anim_command_8c_source.html#l00013">AnimCommand.c:13</a></div></div>
<div class="ttc" id="aclass_anim_command_base_html_ae5a17ae5f45681de1f924b4955d9d7a3"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#ae5a17ae5f45681de1f924b4955d9d7a3">AnimCommandBase::PrePhys_IsEvent</a></div><div class="ttdeci">proto native bool PrePhys_IsEvent(int pEvent)</div><div class="ttdoc">functions usable in PrePhysUpdate</div></div>
<div class="ttc" id="aclass_anim_command_base_html_ae840110ee6853160afe865aa3ec9b715"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#ae840110ee6853160afe865aa3ec9b715">AnimCommandBase::PrePhys_IsTag</a></div><div class="ttdeci">proto native bool PrePhys_IsTag(int pTag)</div></div>
<div class="ttc" id="aclass_anim_command_base_html_afb778a1b24a22ddd4427442f199b4511"><div class="ttname"><a href="../../d8/d05/class_anim_command_base.html#afb778a1b24a22ddd4427442f199b4511">AnimCommandBase::GetEntity</a></div><div class="ttdeci">proto native IEntity GetEntity()</div><div class="ttdoc">returns entity that this command is bount to</div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_c12423cd82e7c7a4b99c1d798c2e354b.html">Anim</a></li><li class="navelem"><a class="el" href="../../db/d90/_anim_command_8c.html">AnimCommand.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
